Skip to content

Appointment Types

The AppointmentTypes resource represents the categories of appointments available in the system (e.g., Initial Evaluation, Follow-Up, Telehealth). Appointment Types are read-only — they cannot be created or modified via the API.

Endpoints

Method Path Description
GET /AppointmentTypes List appointment types
GET /AppointmentTypes({id}) Get a single appointment type

List Appointment Types

GET /AppointmentTypes

Supports: $filter, $select, $orderby, $top, $skip, $count, $expand

Example

curl -X GET "https://api.nymblqa.com/AppointmentTypes?\$filter=active eq true&\$orderby=name asc" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"

Response

{
  "@odata.context": "https://api.nymblqa.com/$metadata#AppointmentTypes",
  "@odata.count": 15,
  "value": [
    {
      "id": "type-001",
      "name": "Initial Evaluation",
      "duration": "60",
      "active": true,
      "color": "#4CAF50"
    },
    {
      "id": "type-002",
      "name": "Follow-Up",
      "duration": "30",
      "active": true,
      "color": "#2196F3"
    }
  ]
}

Get a Single Appointment Type

GET /AppointmentTypes({id})

Example

curl -X GET "https://api.nymblqa.com/AppointmentTypes(type-001)" \
  -H "Authorization: Bearer eyJraWQiOiJ..." \
  -H "x-api-key: YOUR_API_KEY"

Properties

Property Type Max Length Description
id string Unique appointment type identifier (required)
name string 50 Display name of the appointment type
duration string Default duration in minutes
active boolean Whether this appointment type is currently in use
color string 10 Hex color code for calendar display
survey_link string 255 URL to post-visit survey (if applicable)
appointment_type_status_id string ID of the associated status configuration
source_id string Source system record ID
source_name string 100 Source system name
created_at string (date-time) Record creation timestamp
updated_at string (date-time) Last update timestamp

Common Query Examples

All active appointment types:

GET /AppointmentTypes?$filter=active eq true&$orderby=name asc

Types with a specific duration:

GET /AppointmentTypes?$filter=duration eq '30'

Lookup by name:

GET /AppointmentTypes?$filter=name eq 'Initial Evaluation'

All types (minimal fields for dropdowns):

GET /AppointmentTypes?$select=id,name,duration&$filter=active eq true&$orderby=name asc